diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenFontTest.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenFontTest.java
index 42302ef96..143ee02e9 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenFontTest.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenFontTest.java
@@ -2,7 +2,6 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.render.font.Alignment;
 import net.minecraft.client.render.font.Fonts;
-import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.net.ChatEmotes;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.ChatAllowedCharacters;
@@ -27,7 +26,7 @@ public class ScreenFontTest extends Screen{
 
         this.scroll += Mouse.getDWheel() * this.fontRenderer.getFont().fontHeight();
 
-        final int maxWidth = (int) (width/1.2);
+        final int maxWidth = (int) (this.width /1.2);
 
         drawRect((this.width - maxWidth)/2, 0, (this.width + maxWidth)/2, this.height, 0xFF232323);
         final long start = System.currentTimeMillis();
@@ -53,36 +52,36 @@ public class ScreenFontTest extends Screen{
         }
 
         builder.append("\n§bLorem ipsum dolor sit amet, §+§3consectetur adipiscing elit, sed do eiusmod tempor incididunt §+§1ut labore et §+§rdolore magna aliqua.§- Ut enim §-ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut §-aliquip ex ea commodo consequat. Duis aute irure dolor in §+§rreprehenderit in voluptate velit esse cillum dolore §-eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. \nTest String1!");
-        this.fontRenderer.renderWidthConstrained(Tessellator.instance, builder, (this.width - maxWidth)/2, (int) (10 + this.scroll), maxWidth).setAlignment(Alignment.LEFT).setColor(0xFFAAFF).setShadow().call();
+        this.fontRenderer.renderWidthConstrained(builder, (this.width - maxWidth)/2, (int) (10 + this.scroll), maxWidth).setAlignment(Alignment.LEFT).setColor(0xFFAAFF).setShadow().call();
         final long bigStringRenderTime = System.currentTimeMillis() - start;
-        this.fontRenderer.render(Tessellator.instance, bigStringRenderTime/1000f + "s", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY() + 20).call();
+        this.fontRenderer.render(bigStringRenderTime/1000f + "s", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY() + 20).call();
 
         final long memTotal = Runtime.getRuntime().totalMemory();
         final long memFree = Runtime.getRuntime().freeMemory();
         final long memUsed = memTotal - memFree;
 
-        this.fontRenderer.render(Tessellator.instance, memUsed/(1024 * 1024) + "MB", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).call();
+        this.fontRenderer.render(memUsed/(1024 * 1024) + "MB", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).call();
 
-        this.fontRenderer.render(Tessellator.instance, "Unicode: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.UNICODE).call();
-        this.fontRenderer.render(Tessellator.instance, "Default: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.DEFAULT).call();
-        this.fontRenderer.render(Tessellator.instance, "Monospace: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.MONOSPACE).call();
+        this.fontRenderer.render("Unicode: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.UNICODE).call();
+        this.fontRenderer.render("Default: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.DEFAULT).call();
+        this.fontRenderer.render("Monospace: Better than Adventure", (this.width - maxWidth)/2, this.fontRenderer.getLastEndingY()).setFont(Fonts.MONOSPACE).call();
 
         int y = this.fontRenderer.getLastEndingY() + 10;
-        this.fontRenderer.render(Tessellator.instance, "String: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, "Test String", this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "null (Object): ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, (Object) null, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "object: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, testId, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "boolean: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, true, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "int: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, 15, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "long: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, 1500L, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "char: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, 'a', this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "float: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, 0.5f, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "double: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, 0.5, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
-        this.fontRenderer.render(Tessellator.instance, "char array: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(Tessellator.instance, chars, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("String: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render("Test String", this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("null (Object): ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render((Object) null, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("object: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(testId, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("boolean: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(true, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("int: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(15, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("long: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(1500L, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("char: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render('a', this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("float: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(0.5f, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("double: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(0.5, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
+        this.fontRenderer.render("char array: ", (this.width - maxWidth)/2, y).setColor(0xFFAAFF).call(); this.fontRenderer.render(chars, this.fontRenderer.getLastEndingX(), y).call(); y = this.fontRenderer.getLastEndingY();
 
         final double mouseX = (double) (Mouse.getX() * this.mc.resolution.getScaledWidthScreenCoords()) / this.mc.resolution.getWidthScreenCoords();
         final double mouseY =  (this.mc.resolution.getScaledHeightScreenCoords() - (double) (Mouse.getY() * this.mc.resolution.getScaledHeightScreenCoords()) / this.mc.resolution.getHeightScreenCoords());
 
-        this.fontRenderer.renderDouble(Tessellator.instance, "Double Precision", mouseX - this.fontRenderer.stringWidthDouble("Double Precision") - 3, mouseY - 6).setShadow().call();
-        this.fontRenderer.render(Tessellator.instance, "Int Precision", (int) (mouseX + 3), (int) (mouseY - 5)).setShadow().call();
+        this.fontRenderer.renderDouble("Double Precision", mouseX - this.fontRenderer.stringWidthDouble("Double Precision") - 3, mouseY - 6).setShadow().call();
+        this.fontRenderer.render("Int Precision", (int) (mouseX + 3), (int) (mouseY - 5)).setShadow().call();
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
index 0e10fbf8e..7713cee48 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
@@ -1,83 +1,73 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.packet.PacketKeepAlive;
 import net.minecraft.core.player.gamemode.Gamemode;
 import org.jetbrains.annotations.NotNull;
-import org.lwjgl.opengl.GL11;
 
 import net.minecraft.core.net.command.TextFormatting;
 
-public class ScreenGameOver extends Screen
-{
+public class ScreenGameOver extends Screen {
     protected int tickCount = 0;
 
-    public ScreenGameOver()
-    {
+    public ScreenGameOver() {
     }
+
     @Override
-    public void tick(){
-        tickCount++;
-        if (mc.isMultiplayerWorld() && mc.thePlayer instanceof PlayerLocalMultiplayer && tickCount % 10 == 0){
-            PlayerLocalMultiplayer clientPlayerMP = (PlayerLocalMultiplayer) mc.thePlayer;
+    public void tick() {
+        this.tickCount++;
+        if (this.mc.isMultiplayerWorld() && this.mc.thePlayer instanceof PlayerLocalMultiplayer clientPlayerMP && this.tickCount % 10 == 0) {
             clientPlayerMP.sendQueue.addToSendQueue(new PacketKeepAlive());
         }
     }
 
     @Override
-	public void init()
-    {
+    public void init() {
         I18n i18n = I18n.getInstance();
-        buttons.clear();
-        String respawnKey = (mc.thePlayer.getGamemode() == Gamemode.hardcore || mc.thePlayer.getGamemode() == Gamemode.spectator) ? "gui.game_over.button.respawn.spectator" : "gui.game_over.button.respawn";
-        buttons.add(new ButtonElement(1, width / 2 - 100, height / 4 + 72, i18n.translateKey(respawnKey)));
-        buttons.add(new ButtonElement(2, width / 2 - 100, height / 4 + 96, i18n.translateKey("gui.game_over.button.title_screen")));
-        if(mc.session == null)
-        {
-            buttons.get(1).enabled = false;
+        this.buttons.clear();
+        String respawnKey = (this.mc.thePlayer.getGamemode() == Gamemode.hardcore || this.mc.thePlayer.getGamemode() == Gamemode.spectator) ? "gui.game_over.button.respawn.spectator" : "gui.game_over.button.respawn";
+        this.buttons.add(new ButtonElement(1, this.width / 2 - 100, this.height / 4 + 72, i18n.translateKey(respawnKey)));
+        this.buttons.add(new ButtonElement(2, this.width / 2 - 100, this.height / 4 + 96, i18n.translateKey("gui.game_over.button.title_screen")));
+        if (this.mc.session == null) {
+            this.buttons.get(1).enabled = false;
         }
     }
 
     @Override
-	public void keyPressed(char eventCharacter, int eventKey, int mx, int my)
-    {
+    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
     }
 
     @Override
-	protected void buttonClicked(@NotNull ButtonElement button)
-    {
-        if(button.id == 1)
-        {
-            mc.thePlayer.respawnPlayer();
-            mc.displayScreen(null);
+    protected void buttonClicked(@NotNull ButtonElement button) {
+        if (button.id == 1) {
+            this.mc.thePlayer.respawnPlayer();
+            this.mc.displayScreen(null);
         }
-        if(button.id == 2)
-        {
-            if (mc.isMultiplayerWorld()) {
-                mc.currentWorld.sendQuittingDisconnectingPacket();
+        if (button.id == 2) {
+            if (this.mc.isMultiplayerWorld()) {
+                this.mc.currentWorld.sendQuittingDisconnectingPacket();
             }
-            mc.changeWorld(null);
-            mc.displayScreen(new ScreenMainMenu());
+            this.mc.changeWorld(null);
+            this.mc.displayScreen(new ScreenMainMenu());
         }
     }
 
     @Override
-	public void render(int mx, int my, float partialTick)
-    {
+    public void render(int mx, int my, float partialTick) {
         I18n i18n = I18n.getInstance();
-        drawGradientRect(0, 0, width, height, 0x60500000, 0xa0803030);
-        GL11.glPushMatrix();
-        GL11.glScalef(2.0F, 2.0F, 2.0F);
-        drawStringCenteredShadow(fontRenderer, i18n.translateKey("gui.game_over.label.title"), width / 2 / 2, 30, 0xffffff);
-        GL11.glPopMatrix();
-        drawStringCenteredShadow(fontRenderer, i18n.translateKeyAndFormat("gui.game_over.label.score", TextFormatting.YELLOW.toString() + mc.thePlayer.getScore()), width / 2, 100, 0xffffff);
+        drawGradientRect(0, 0, this.width, this.height, 0x60500000, 0xa0803030);
+        GLRenderer.pushFrame();
+        GLRenderer.modelM4f().scale(2.0F, 2.0F, 2.0F);
+        drawStringCenteredShadow(this.fontRenderer, i18n.translateKey("gui.game_over.label.title"), this.width / 2 / 2, 30, 0xffffff);
+        GLRenderer.popFrame();
+        drawStringCenteredShadow(this.fontRenderer, i18n.translateKeyAndFormat("gui.game_over.label.score", TextFormatting.YELLOW.toString() + this.mc.thePlayer.getScore()), this.width / 2, 100, 0xffffff);
         super.render(mx, my, partialTick);
     }
 
     @Override
-	public boolean isPauseScreen()
-    {
+    public boolean isPauseScreen() {
         return false;
     }
 }
